diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/maint/repair.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/maint/repair.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/maint/repair.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/maint/repair.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 16,25 ****
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title><?php _e( 'WordPress &rsaquo; Database Repair' ); ?></title>
! 	<?php wp_admin_css( 'install', true ); ?>
  </head>
! <body>
! <h1 id="logo"><img alt="WordPress" src="../images/wordpress-logo.png?ver=20120216" /></h1>
  
  <?php
  
--- 16,27 ----
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title><?php _e( 'WordPress &rsaquo; Database Repair' ); ?></title>
! 	<?php
! 	wp_admin_css( 'install', true );
! 	?>
  </head>
! <body class="wp-core-ui">
! <h1 id="logo"><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  
  <?php
  
***************
*** 102,110 ****
  	else
  		echo '<p>' . __( 'WordPress can automatically look for some common database problems and repair them. Repairing can take a while, so please be patient.' ) . '</p>';
  ?>
! 	<p class="step"><a class="button" href="repair.php?repair=1"><?php _e( 'Repair Database' ); ?></a></p>
  	<p><?php _e( 'WordPress can also attempt to optimize the database. This improves performance in some situations. Repairing and optimizing the database can take a long time and the database will be locked while optimizing.' ); ?></p>
! 	<p class="step"><a class="button" href="repair.php?repair=2"><?php _e( 'Repair and Optimize Database' ); ?></a></p>
  <?php
  }
  ?>
--- 104,112 ----
  	else
  		echo '<p>' . __( 'WordPress can automatically look for some common database problems and repair them. Repairing can take a while, so please be patient.' ) . '</p>';
  ?>
! 	<p class="step"><a class="button button-large" href="repair.php?repair=1"><?php _e( 'Repair Database' ); ?></a></p>
  	<p><?php _e( 'WordPress can also attempt to optimize the database. This improves performance in some situations. Repairing and optimizing the database can take a long time and the database will be locked while optimizing.' ); ?></p>
! 	<p class="step"><a class="button button-large" href="repair.php?repair=2"><?php _e( 'Repair and Optimize Database' ); ?></a></p>
  <?php
  }
  ?>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/media-new.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/media-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/media-new.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/media-new.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 1,12 ****
  <?php
  /**
!  * Upload new media Administration Screen.
   *
   * @package WordPress
   * @subpackage Administration
   */
  
! $_GET['inline'] = 'true';
! /** Administration bootstrap */
  require_once('./admin.php');
! require_once('./media-upload.php');
--- 1,85 ----
  <?php
  /**
!  * Manage media uploaded file.
!  *
!  * There are many filters in here for media. Plugins can extend functionality
!  * by hooking into the filters.
   *
   * @package WordPress
   * @subpackage Administration
   */
  
! /** Load WordPress Administration Bootstrap */
  require_once('./admin.php');
! 
! if (!current_user_can('upload_files'))
! 	wp_die(__('You do not have permission to upload files.'));
! 
! wp_enqueue_script('plupload-handlers');
! 
! $post_id = 0;
! if ( isset( $_REQUEST['post_id'] ) ) {
! 	$post_id = absint( $_REQUEST['post_id'] );
! 	if ( ! get_post( $post_id ) || ! current_user_can( 'edit_post', $post_id ) )
! 		$post_id = 0;
! }
! 
! if ( $_POST ) {
! 	$location = 'upload.php';
! 	if ( isset($_POST['html-upload']) && !empty($_FILES) ) {
! 		check_admin_referer('media-form');
! 		// Upload File button was clicked
! 		$id = media_handle_upload( 'async-upload', $post_id );
! 		if ( is_wp_error( $id ) )
! 			$location .= '?message=3';
! 	}
! 	wp_redirect( admin_url( $location ) );
! 	exit;
! }
! 
! $title = __('Upload New Media');
! $parent_file = 'upload.php';
! 
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
! 	'<p>' . __('You can upload media files here without creating a post first. This allows you to upload files to use with posts and pages later and/or to get a web link for a particular file that you can share. There are three options for uploading files:') . '</p>' .
! 	'<ul>' .
! 		'<li>' . __('<strong>Drag and drop</strong> your files into the area below. Multiple files are allowed.') . '</li>' .
! 		'<li>' . __('Clicking <strong>Select Files</strong> opens a navigation window showing you files in your operating system. Selecting <strong>Open</strong> after clicking on the file you want activates a progress bar on the uploader screen.') . '</li>' .
! 		'<li>' . __('Revert to the <strong>Browser Uploader</strong> by clicking the link below the drag and drop box.') . '</li>' .
! 	'</ul>'
! ) );
! get_current_screen()->set_help_sidebar(
! 	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Media_Add_New_Screen" target="_blank">Documentation on Uploading Media Files</a>') . '</p>' .
! 	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
! );
! 
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
! 
! $form_class = 'media-upload-form type-form validate';
! 
! if ( get_user_setting('uploader') || isset( $_GET['browser-uploader'] ) )
! 	$form_class .= ' html-uploader';
! ?>
! <div class="wrap">
! 	<?php screen_icon(); ?>
! 	<h2><?php echo esc_html( $title ); ?></h2>
! 
! 	<form enctype="multipart/form-data" method="post" action="<?php echo admin_url('media-new.php'); ?>" class="<?php echo $form_class; ?>" id="file-form">
! 
! 	<?php media_upload_form(); ?>
! 
! 	<script type="text/javascript">
! 	var post_id = <?php echo $post_id; ?>, shortform = 3;
! 	</script>
! 	<input type="hidden" name="post_id" id="post_id" value="<?php echo $post_id; ?>" />
! 	<?php wp_nonce_field('media-form'); ?>
! 	<div id="media-items" class="hide-if-no-js"></div>
! 	</form>
! </div>
! 
! <?php
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/media-upload.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/media-upload.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/media-upload.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/media-upload.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 34,127 ****
  if ( isset($action) && $action == 'edit' && !$ID )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
- if ( isset($_GET['inline']) ) {
- 	$errors = array();
- 
- 	if ( ! empty( $_REQUEST['post_id'] ) && ! current_user_can( 'edit_post' , $_REQUEST['post_id'] ) )
- 		wp_die( __( 'Cheatin&#8217; uh?' ) );
- 
- 	if ( isset($_POST['html-upload']) && !empty($_FILES) ) {
- 		check_admin_referer('media-form');
- 		// Upload File button was clicked
- 		$id = media_handle_upload('async-upload', $_REQUEST['post_id']);
- 		unset($_FILES);
- 		if ( is_wp_error($id) ) {
- 			$errors['upload_error'] = $id;
- 			$id = false;
- 		}
- 	}
- 
- 	if ( isset($_GET['upload-page-form']) ) {
- 		$errors = array_merge($errors, (array) media_upload_form_handler());
- 
- 		$location = 'upload.php';
- 		if ( $errors )
- 			$location .= '?message=3';
- 
- 		wp_redirect( admin_url($location) );
- 		exit;
- 	}
- 
- 	if ( isset( $_REQUEST['post_id'] ) )
- 		wp_die( __( 'Cheatin&#8217; uh?' ) );
- 
- 	$title = __('Upload New Media');
- 	$parent_file = 'upload.php';
- 	get_current_screen()->add_help_tab( array(
- 	'id'		=> 'overview',
- 	'title'		=> __('Overview'),
- 	'content'	=>
- 		'<p>' . __('You can upload media files here without creating a post first. This allows you to upload files to use with posts and pages later and/or to get a web link for a particular file that you can share. There are three options for uploading files:') . '</p>' .
- 		'<ul>' .
- 			'<li>' . __('<strong>Drag and drop</strong> your files into the area below. Multiple files are allowed.') . '</li>' .
- 			'<li>' . __('Clicking <strong>Select Files</strong> opens a navigation window showing you files in your operating system. Selecting <strong>Open</strong> after clicking on the file you want activates a progress bar on the uploader screen.') . '</li>' .
- 			'<li>' . __('Revert to the <strong>Browser Uploader</strong> by clicking the link below the drag and drop box.') . '</li>' .
- 		'</ul>' .
- 		'<p>' . __('Basic image editing is available after upload is complete. Make sure you click Save before leaving this screen.') . '</p>'
- 	) );
- 	get_current_screen()->set_help_sidebar(
- 		'<p><strong>' . __('For more information:') . '</strong></p>' .
- 		'<p>' . __('<a href="http://codex.wordpress.org/Media_Add_New_Screen" target="_blank">Documentation on Uploading Media Files</a>') . '</p>' .
- 		'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
- 	);
- 
- 	require_once('./admin-header.php');
- 
- 	$form_class = 'media-upload-form type-form validate';
- 
- 	if ( get_user_setting('uploader') )
- 		$form_class .= ' html-uploader';
- 	?>
- 	<div class="wrap">
- 	<?php screen_icon(); ?>
- 	<h2><?php echo esc_html( $title ); ?></h2>
- 
- 	<form enctype="multipart/form-data" method="post" action="<?php echo admin_url('media-upload.php?inline=&amp;upload-page-form='); ?>" class="<?php echo $form_class; ?>" id="file-form">
- 
- 	<?php media_upload_form(); ?>
- 
- 	<script type="text/javascript">
- 	jQuery(function($){
- 		var preloaded = $(".media-item.preloaded");
- 		if ( preloaded.length > 0 ) {
- 			preloaded.each(function(){prepareMediaItem({id:this.id.replace(/[^0-9]/g, '')},'');});
- 		}
- 		updateMediaForm();
- 		post_id = 0;
- 		shortform = 1;
- 	});
- 	</script>
- 	<input type="hidden" name="post_id" id="post_id" value="0" />
- 	<?php wp_nonce_field('media-form'); ?>
- 	<div id="media-items" class="hide-if-no-js"></div>
- 	<?php submit_button( __( 'Save all changes' ), 'button savebutton hidden', 'save' ); ?>
- 	</form>
- 	</div>
- 
- <?php
- 	include('./admin-footer.php');
- 
- } else {
  	if ( ! empty( $_REQUEST['post_id'] ) && ! current_user_can( 'edit_post' , $_REQUEST['post_id'] ) )
  		wp_die( __( 'Cheatin&#8217; uh?' ) );
  
--- 34,39 ----
***************
*** 144,147 ****
  		do_action("media_upload_$type");
  	else
  		do_action("media_upload_$tab");
- }
--- 56,58 ----
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/menu-header.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/menu-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/menu-header.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/menu-header.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 41,47 ****
  	foreach ( $menu as $key => $item ) {
  		$admin_is_parent = false;
  		$class = array();
! 		$aria_attributes = 'tabindex="1"';
  
  		if ( $first ) {
  			$class[] = 'wp-first-item';
--- 41,47 ----
  	foreach ( $menu as $key => $item ) {
  		$admin_is_parent = false;
  		$class = array();
! 		$aria_attributes = '';
  
  		if ( $first ) {
  			$class[] = 'wp-first-item';
***************
*** 59,65 ****
  		} else {
  			$class[] = 'wp-not-current-submenu';
  			if ( ! empty( $submenu_items ) )
! 				$aria_attributes .= ' aria-haspopup="true"';
  		}
  
  		if ( ! empty( $item[4] ) )
--- 59,65 ----
  		} else {
  			$class[] = 'wp-not-current-submenu';
  			if ( ! empty( $submenu_items ) )
! 				$aria_attributes .= 'aria-haspopup="true"';
  		}
  
  		if ( ! empty( $item[4] ) )
***************
*** 68,75 ****
  		$class = $class ? ' class="' . join( ' ', $class ) . '"' : '';
  		$id = ! empty( $item[5] ) ? ' id="' . preg_replace( '|[^a-zA-Z0-9_:.]|', '-', $item[5] ) . '"' : '';
  		$img = '';
  		if ( ! empty( $item[6] ) )
! 			$img = ( 'div' === $item[6] ) ? '<br />' : '<img src="' . $item[6] . '" alt="" />';
  		$arrow = '<div class="wp-menu-arrow"><div></div></div>';
  
  		$title = wptexturize( $item[0] );
--- 68,77 ----
  		$class = $class ? ' class="' . join( ' ', $class ) . '"' : '';
  		$id = ! empty( $item[5] ) ? ' id="' . preg_replace( '|[^a-zA-Z0-9_:.]|', '-', $item[5] ) . '"' : '';
  		$img = '';
+ 		// if the string 'none' (previously 'div') is passed instead of an URL, don't output the default menu image
+ 		// so an icon can be added to div.wp-menu-image as background with CSS.
  		if ( ! empty( $item[6] ) )
! 			$img = ( 'none' === $item[6] || 'div' === $item[6] ) ? '<br />' : '<img src="' . $item[6] . '" alt="" />';
  		$arrow = '<div class="wp-menu-arrow"><div></div></div>';
  
  		$title = wptexturize( $item[0] );
***************
*** 87,95 ****
  				$menu_file = substr( $menu_file, 0, $pos );
  			if ( ! empty( $menu_hook ) || ( ('index.php' != $submenu_items[0][2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
! 				echo "<div class='wp-menu-image'><a href='admin.php?page={$submenu_items[0][2]}' aria-label='$aria_label'>$img</a></div>$arrow<a href='admin.php?page={$submenu_items[0][2]}'$class $aria_attributes>$title</a>";
  			} else {
! 				echo "\n\t<div class='wp-menu-image'><a href='{$submenu_items[0][2]}' aria-label='$aria_label'>$img</a></div>$arrow<a href='{$submenu_items[0][2]}'$class $aria_attributes>$title</a>";
  			}
  		} elseif ( ! empty( $item[2] ) && current_user_can( $item[1] ) ) {
  			$menu_hook = get_plugin_page_hook( $item[2], 'admin.php' );
--- 89,97 ----
  				$menu_file = substr( $menu_file, 0, $pos );
  			if ( ! empty( $menu_hook ) || ( ('index.php' != $submenu_items[0][2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
! 				echo "<a href='admin.php?page={$submenu_items[0][2]}'$class $aria_attributes>$arrow<div class='wp-menu-image'>$img</div><div class='wp-menu-name'>$title</div></a>";
  			} else {
! 				echo "\n\t<a href='{$submenu_items[0][2]}'$class $aria_attributes>$arrow<div class='wp-menu-image'>$img</div><div class='wp-menu-name'>$title</div></a>";
  			}
  		} elseif ( ! empty( $item[2] ) && current_user_can( $item[1] ) ) {
  			$menu_hook = get_plugin_page_hook( $item[2], 'admin.php' );
***************
*** 98,118 ****
  				$menu_file = substr( $menu_file, 0, $pos );
  			if ( ! empty( $menu_hook ) || ( ('index.php' != $item[2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
! 				echo "\n\t<div class='wp-menu-image'><a href='admin.php?page={$item[2]}' aria-label='$aria_label'>$img</a></div>$arrow<a href='admin.php?page={$item[2]}'$class $aria_attributes>{$item[0]}</a>";
  			} else {
! 				echo "\n\t<div class='wp-menu-image'><a href='{$item[2]}' aria-label='$aria_label'>$img</a></div>$arrow<a href='{$item[2]}'$class $aria_attributes>{$item[0]}</a>";
  			}
  		}
  
  		if ( ! empty( $submenu_items ) ) {
! 			echo "\n\t<div class='wp-submenu'><div class='wp-submenu-wrap'>";
! 			echo "<div class='wp-submenu-head'>{$item[0]}</div><ul>";
  			$first = true;
  			foreach ( $submenu_items as $sub_key => $sub_item ) {
  				if ( ! current_user_can( $sub_item[1] ) )
  					continue;
  
- 				$aria_attributes = 'tabindex="1"';
  				$class = array();
  				if ( $first ) {
  					$class[] = 'wp-first-item';
--- 100,120 ----
  				$menu_file = substr( $menu_file, 0, $pos );
  			if ( ! empty( $menu_hook ) || ( ('index.php' != $item[2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
! 				echo "\n\t<a href='admin.php?page={$item[2]}'$class $aria_attributes>$arrow<div class='wp-menu-image'>$img</div><div class='wp-menu-name'>{$item[0]}</div></a>";
  			} else {
! 				echo "\n\t<a href='{$item[2]}'$class $aria_attributes>$arrow<div class='wp-menu-image'>$img</div><div class='wp-menu-name'>{$item[0]}</div></a>";
  			}
  		}
  
  		if ( ! empty( $submenu_items ) ) {
! 			echo "\n\t<ul class='wp-submenu wp-submenu-wrap'>";
! 			echo "<li class='wp-submenu-head'>{$item[0]}</li>";
! 
  			$first = true;
  			foreach ( $submenu_items as $sub_key => $sub_item ) {
  				if ( ! current_user_can( $sub_item[1] ) )
  					continue;
  
  				$class = array();
  				if ( $first ) {
  					$class[] = 'wp-first-item';
***************
*** 156,167 ****
  						$sub_item_url = add_query_arg( array('page' => $sub_item[2]), 'admin.php' );
  
  					$sub_item_url = esc_url( $sub_item_url );
! 					echo "<li$class><a href='$sub_item_url'$class $aria_attributes>$title</a></li>";
  				} else {
! 					echo "<li$class><a href='{$sub_item[2]}'$class $aria_attributes>$title</a></li>";
  				}
  			}
! 			echo "</ul></div></div>";
  		}
  		echo "</li>";
  	}
--- 158,169 ----
  						$sub_item_url = add_query_arg( array('page' => $sub_item[2]), 'admin.php' );
  
  					$sub_item_url = esc_url( $sub_item_url );
! 					echo "<li$class><a href='$sub_item_url'$class>$title</a></li>";
  				} else {
! 					echo "<li$class><a href='{$sub_item[2]}'$class>$title</a></li>";
  				}
  			}
! 			echo "</ul>";
  		}
  		echo "</li>";
  	}
